Returns the task statuses for private tasks for the specified user.

GEThttps://api.awork.com/api/v1/me/privatetasks/taskstatuses
GET https://api.awork.com/api/v1/me/privatetasks/taskstatuses

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

userIdstringOptional
format: uuid

The id of the user.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The primary identifier of this task status.

namestring or nullOptional

The name of the task status.

typestring or nullOptional

Of what general type is this task status?.

ordernumber or nullOptional
format: double

The order of the task status in a project.

iconstring or nullOptional

The icon of the task status.

projectIdstring or nullOptional
format: uuid

Is set if the task status is related to a project.

projectTypeIdstring or nullOptional
format: uuid

Is set if the task status is related to a project type.

workflowIdstring or nullOptional
format: uuid

Is set if the task status is related to a workflow.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isExternalbooleanOptional

True if the task status is coming from an external workspace (awork Connect).

Search documentation